Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003475TestLinkExport/Importpublic2010-05-18 20:302010-08-31 20:29
Reporterfman 
Assigned Tofman 
PrioritynormalSeverityfeature requestReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Fixed in Version1.9 Beta 5 
Summary0003475: Import results - XML - possibility to get platform ID and/or BUILD ID from file
Descriptionnew format:
<?xml version="1.0" encoding="UTF-8"?>
<results>
  <testplan id="2644" />
  <build id="13" />
  <platform id="22" />

  <testcase external_id="BB-1" >
    <!-- if not present logged user will be used -->
    <!-- tester LOGIN Name -->
    <tester>u0113</tester>
    <!-- if not present now() will be used -->
    <timestamp>2008-09-08 14:00:00</timestamp>
    <result>p</result>
    <notes>functionality works great </notes>
  </testcase>
  
  <!-- ANOTHER EXE for SAME test case -->
  <testcase external_id="BB-1" >
    <result>f</result>
    <notes>functionality works great KIMI</notes>
  </testcase>
  
  <!-- Using INTERNAL ID -->
  <testcase id="2627" >
    <result>f</result>
    <notes>Using INTERNAL ID as link </notes>
    <bug_id>ISSUE-66</bug_id>
  </testcase>
</results>
Steps To ReproduceIf value is present will overwrite GUI selection
TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Fileszip file icon fix-3470-3475.zip [^] (6,888 bytes) 2010-05-18 21:00

- Relationships
related to 0003470closedfman XML import of test results with platforms fails 

-  Notes
(0011204)
fman (administrator)
2010-08-31 20:29

Release BETA 6 - 20100831

- Issue History
Date Modified Username Field Change
2010-05-18 20:30 fman New Issue
2010-05-18 20:31 fman Summary Import results - XML - possibility to get platform ID from file => Import results - XML - possibility to get platform ID and/or BUILD ID from file
2010-05-18 20:31 fman Steps to Reproduce Updated View Revisions
2010-05-18 20:31 fman Assigned To => fman
2010-05-18 20:31 fman Status new => assigned
2010-05-18 21:00 fman File Added: fix-3470-3475.zip
2010-05-18 21:01 fman Status assigned => resolved
2010-05-18 21:01 fman Fixed in Version => 1.9 Beta 5
2010-05-18 21:01 fman Resolution open => fixed
2010-05-18 21:01 fman Description Updated View Revisions
2010-05-18 21:01 fman Relationship added related to 0003470
2010-08-31 20:29 fman Note Added: 0011204
2010-08-31 20:29 fman Status resolved => closed



Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker